SDL_ASSERT_LEVEL(3)

NAME
SDL_ASSERT_LEVEL - The level of assertion aggressiveness.

HEADER FILE
Defined in SDL3/SDL_assert.h

SYNOPSIS
#include "SDL3/SDL.h"

#define SDL_ASSERT_LEVEL SomeNumberBasedOnVariousFactors

DESCRIPTION
This value changes depending on compiler options and other preprocessor defines.

It is currently one of the following values, but future SDL releases might add more:

• 0: All SDL assertion macros are disabled.

• 1: Release settings: SDL_assert
 disabled,

SDL_assert_release
 enabled.

• 2: Debug settings: SDL_assert
 and

SDL_assert_release
 enabled.

• 3: Paranoid settings: All SDL assertion macros enabled, including

SDL_assert_paranoid .

AVAILABILITY
This macro is available since SDL 3.2.0.